summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Yanes Checcacci Balod2014-06-25 18:38:49 +0200
committer Willy Sudiarto Raharjo2014-06-25 18:38:49 +0200
commit5e7301dc32f3b046d2032ff0ae28dc0d73a0254b (patch)
tree921eb57a1378a1e16bced64c0d4ed001409c92e8 /system
parent52bcd2a12932bf798212f317b83d21502eda0121 (diff)
downloadslackbuilds-5e7301dc32f3b046d2032ff0ae28dc0d73a0254b.tar.gz
system/wmfsm: Added (dock application).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/wmfsm/README14
-rw-r--r--system/wmfsm/slack-desc19
-rw-r--r--system/wmfsm/wmfsm.SlackBuild95
-rw-r--r--system/wmfsm/wmfsm.info10
4 files changed, 138 insertions, 0 deletions
diff --git a/system/wmfsm/README b/system/wmfsm/README
new file mode 100644
index 0000000000..30e43fbda1
--- /dev/null
+++ b/system/wmfsm/README
@@ -0,0 +1,14 @@
+
+wmfsm is a WindowMaker dock application that shows the amount of disk space available
+on mounted file systems with colored bars.
+
+
+
+NOTE 1: You may choose one of the "wmfsm_*.xpm" avaiable in wmfsm directory.
+ Just choose one you liked more and use it as "wmfsm_master.xpm"
+ Than, recreate the "tar.gz" source file and run the SlackBuild script.
+
+NOTE 2: Copy the "wmfsmrc.sample" to "~/.wmfsmrc" and edit it to configure your
+ shown filesystems. You may exclude or include with first line either
+ [include] or [exclude]. The next lines are filesystems that are either
+ explicitly included or excluded respectively.
diff --git a/system/wmfsm/slack-desc b/system/wmfsm/slack-desc
new file mode 100644
index 0000000000..7a8bb96ea0
--- /dev/null
+++ b/system/wmfsm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+wmfsm: wmfsm (dock application)
+wmfsm:
+wmfsm: wmfsm is a dockapp that shows the amount of disk space available.
+wmfsm:
+wmfsm:
+wmfsm:
+wmfsm: The information of amount of disk space available is displayed as
+wmfsm: colored bars.
+wmfsm:
+wmfsm:
+wmfsm:
diff --git a/system/wmfsm/wmfsm.SlackBuild b/system/wmfsm/wmfsm.SlackBuild
new file mode 100644
index 0000000000..e26cebaba5
--- /dev/null
+++ b/system/wmfsm/wmfsm.SlackBuild
@@ -0,0 +1,95 @@
+#!/bin/sh
+
+# Slackware build script for wmfsm
+
+# Copyright (c) 2014, Yanes Checcacci Balod <yanes@pobox.com>, Brazil
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=wmfsm
+VERSION=${VERSION:-0.34}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ echo "This Arch is not supported."
+ exit 1
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvzf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+# Collecting each file to DOC package build directory
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cp -a AUTHORS ChangeLog.old COPYING INSTALL TODO ChangeLog README wmfsm/wmfsmrc.sample $PKG/usr/doc/$PRGNAM-$VERSION/
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/wmfsm/wmfsm.info b/system/wmfsm/wmfsm.info
new file mode 100644
index 0000000000..ab7ef5186d
--- /dev/null
+++ b/system/wmfsm/wmfsm.info
@@ -0,0 +1,10 @@
+PRGNAM="wmfsm"
+VERSION="0.34"
+HOMEPAGE="http://freecode.com/projects/wmfsm"
+DOWNLOAD="http://fossies.org/linux/privat/old/wmfsm-0.34.tar.gz"
+MD5SUM="5ec81127146d8340a698cc5e26a66e43"
+DOWNLOAD_x86_64="UNSUPPORTED"
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Yanes Checcacci Balod"
+EMAIL="yanes@pobox.com"